import { UUID } from '@minecraft-js/uuid';
import { Packet } from '../Packet';
export declare class TeammatesPacket extends Packet<Teammates> {
    static id: number;
    write(data?: Teammates): void;
    read(): Teammates;
}
/**
 * Teammates packet
 * @see https://github.com/LunarClient/BukkitAPI-NetHandler/blob/master/src/main/java/com/lunarclient/bukkitapi/nethandler/client/LCPacketTeammates.java
 */
interface Teammates {
    /** UUID of the team leader */
    leader: UUID;
    lastMs: number;
    /** List of the players in the team */
    players: {
        uuid: UUID;
        posMap: {
            [key: string]: number;
        };
    }[];
}
export {};
